#ifndef MORPH
#define MORPH
#include "../core/datastate.h"

class Morph{

public:
    explicit Morph(DataState *state);
    void linearMorphing(int fromFrame = 0, int toFrame = -1);
    QList<QPair<int,int> > getFramePairs(int fromFrame, int toFrame);
    static QList<QPolygonF>getMorphedPolygons(QPolygonF left, QPolygonF right, int steps);
    static QMap<qreal,qreal>assign(QPolygonF left, QPolygonF right);
    static QPointF pointFromAssignment(QPolygonF poly, qreal assign);

private:
    DataState *state;

};

#endif // MORPH

