#ifndef FRAMEGRAPHICSVIEW_H
#define FRAMEGRAPHICSVIEW_H

#include <QGraphicsView>
#include <QMouseEvent>

class FrameGraphicsView : public QGraphicsView
{
    Q_OBJECT
public:
    void Init();
    explicit FrameGraphicsView(QWidget *parent = 0) :
        QGraphicsView(parent) {Init();};
    explicit FrameGraphicsView(QGraphicsScene * scene, QWidget * parent = 0) :
        QGraphicsView(scene, parent) {Init();};

signals:
    void resized();
    void doubleClicked(int x, int y, bool shift);

protected:
    void resizeEvent(QResizeEvent* event);
    void mouseDoubleClickEvent(QMouseEvent* event);

};

#endif // FRAMEGRAPHICSVIEW_H
